

class EC2Operation(object):
    """Abstract base class for EC2 C{MachineProvider} operation"""

    def __init__(self, provider):
        self.config = provider.config
        self.provider = provider

    @property
    def ec2(self):
        return self.provider.ec2

    @property
    def s3(self):
        return self.provider.s3
