from twisted.internet import reactor

from ensemble.environment.tests.test_config import EnvironmentsConfigTestBase


class ControlToolTest(EnvironmentsConfigTestBase):

    def setup_cli_reactor(self):
        """
        When executing the cli via tests, we need to mock out any reactor
        start or shutdown.
        """
        mock_reactor = self.mocker.patch(reactor)
        mock_reactor.run()
        mock_reactor.stop()
        reactor.running = True

    def setUp(self):
        self.log = self.capture_logging()
        super(ControlToolTest, self).setUp()
