from ensemble.errors import EnsembleError


class EnvironmentsConfigError(EnsembleError):
    """Raised when the environment configuration file has problems."""

    def __init__(self, message, sample_written=False):
        super(EnvironmentsConfigError, self).__init__(message)
        self.sample_written = sample_written
